Bug 607079 - Review Request: perl-Template-Plugin-Cycle - Cyclically insert into a Template from a sequence of values
Summary: Review Request: perl-Template-Plugin-Cycle - Cyclically insert into a Templat...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/Template-...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-23 07:17 UTC by Iain Arnell
Modified: 2010-08-06 03:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-06 03:18:54 UTC
Type: ---
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2010-06-23 07:17:44 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Template-Plugin-Cycle.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Template-Plugin-Cycle-1.06-1.fc14.src.rpm

Description:
Sometimes, apparently almost exclusively when doing alternating table row
backgrounds, you need to print an alternating, cycling, set of values into
a template.

Template::Plugin::Cycle is a small, simple, and hopefully DWIM solution to
these sorts of tasks.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2266873

*rt-0.10_01

Comment 1 Parag AN(पराग) 2010-06-23 10:28:06 UTC
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=2266873
+ rpmlint output for SRPM and for RPM.
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
+ source files match upstream url (sha1sum)
20cabe0c333b146e6efce14fe92bfd15ec96ed3d  Template-Plugin-Cycle-1.06.tar.gz
20cabe0c333b146e6efce14fe92bfd15ec96ed3d  Template-Plugin-Cycle-1.06.tar.gz.srpm
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=5, Tests=78,  1 wallclock secs ( 0.03 usr  0.01 sys +  0.15 cusr  0.01 csys =  0.20 CPU)
+ Package perl-Template-Plugin-Cycle-1.06-1.fc14.noarch=>
Provides: perl(Template::Plugin::Cycle) = 1.06
Requires: perl >= 0:5.005 perl(overload) perl(Params::Util) perl(strict) perl(Template::Plugin) perl(vars) rpmlib(VersionedDependencies) <= 3.0.3-1
+ Not a GUI application

Suggestions:
1) looks yum already take care 
Requires:       perl(Params::Util) >= 0.20
Requires:       perl(Template) >= 2.10
so you can drop it.

2) I think Changelog should include packager email id also.

3) following BR is redundant in spec
BuildRequires:  perl >= 0:5.005

4) license from LICENSE file looks "GPLv2+ or Artistic"

Comment 2 Iain Arnell 2010-06-23 16:12:47 UTC
1, 2, and 3 are fixed. But 4 really looks like "GPL+ or Artistic" - even though it includes the text of GPLv2, the very top of LICENSE file states quite clearly 

Terms of Perl itself

a) the GNU General Public License as published by the Free
   Software Foundation; either version 1, or (at your option) any
   later version, or
b) the "Artistic License"

and Cycle.pm states that is indeed under the same terms as Perl itself.

New SPEC: http://iarnell.fedorapeople.org/review/perl-Template-Plugin-Cycle.spec
New SRPM: http://iarnell.fedorapeople.org/review/perl-Template-Plugin-Cycle-1.06-2.fc14.src.rpm

Comment 3 Parag AN(पराग) 2010-07-06 12:47:14 UTC
Oops! Looks I forgot about this.

APPROVED.

Comment 4 Iain Arnell 2010-07-06 12:54:10 UTC
No problem - I've had plenty of other things to work on.  Thanks for the review.

Comment 5 Iain Arnell 2010-07-06 12:55:00 UTC
New Package CVS Request
=======================
Package Name: perl-Template-Plugin-Cycle
Short Description: Cyclically insert into a Template from a sequence of values
Owners: iarnell
Branches: F-12 F-13
InitialCC: perl-sig

Comment 6 Kevin Fenzi 2010-07-08 01:20:12 UTC
CVS done (by process-cvs-requests.py).

Comment 7 Fedora Update System 2010-07-08 03:24:35 UTC
perl-Template-Plugin-Cycle-1.06-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Template-Plugin-Cycle-1.06-2.fc13

Comment 8 Fedora Update System 2010-07-08 03:24:41 UTC
perl-Template-Plugin-Cycle-1.06-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Template-Plugin-Cycle-1.06-2.fc12

Comment 9 Fedora Update System 2010-07-08 18:20:37 UTC
perl-Template-Plugin-Cycle-1.06-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Template-Plugin-Cycle'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Template-Plugin-Cycle-1.06-2.fc12

Comment 10 Fedora Update System 2010-07-08 18:22:21 UTC
perl-Template-Plugin-Cycle-1.06-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Template-Plugin-Cycle'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Template-Plugin-Cycle-1.06-2.fc13

Comment 11 Iain Arnell 2010-08-06 03:18:54 UTC
These got pushed to stable, but bodhi failed to update the bug.


Note You need to log in before you can comment on or make changes to this bug.